Skip to content

GET /api/v3/digital-boards/constants/street-view-review-statuses

Summary

GET /digital-boards/constants/street-view-review-statuses

Description

Returns a list of street view review statuses constants

If the review status is pending, it is waiting on human review

Tags: digital-boards

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • street_view_review_statuses (array)
  • Array items: object Type: object

    Properties:

    • name (string)
    • value (integer)
Example Response
{
    "success": true,
    "street_view_review_statuses": [
        {
            "name": "PENDING",
            "value": 0
        },
        {
            "name": "COMPLETE",
            "value": 1
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/digital-boards/constants/street-view-review-statuses" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/digital-boards/constants/street-view-review-statuses"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/digital-boards/constants/street-view-review-statuses',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/digital-boards/constants/street-view-review-statuses'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

Example Responses

200 Response

{
    "success": true,
    "street_view_review_statuses": [
        {
            "name": "PENDING",
            "value": 0
        },
        {
            "name": "COMPLETE",
            "value": 1
        }
    ]
}

← Back to digital-boards index | Back to main index